<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_categories
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
if (version_compare(JVERSION, '3.0.0') > 0) 
{
	JHtmlBehavior::framework();
	JHtml::_('bootstrap.tooltip');
} else {
	JHtml::core();
}
$app = JFactory::getApplication();

if ($app->isSite())
{
	JSession::checkToken('get') or die(JText::_('JINVALID_TOKEN'));
}

$titletag = $this->objectAssociation->title;
$leveltag = $this->objectAssociation->level;
$languagetag = $this->objectAssociation->language;
$idtag = $this->objectAssociation->id;
$customcolumntag = $this->customcolumn['tag'];
$orderingcolumntag = $this->orderingcolumn['tag'];
$function  	= $app->input->getCmd('function', 'jSelectItem');
$component 	= $app->input->getCmd('extension', '');
$object  	= $app->input->getCmd('object', '');
$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));
$attribs  	= $app->input->get('attribs', null, 'string');

if ($attribs) 
{
	$attribs =json_decode( base64_decode($attribs));
}

?>
<script>
	if (typeof(Joomla) == 'undefined') Joomla = this;
	Joomla.submitform = function() { document.getElementById('adminForm').submit(); }
</script>
<form action="<?php echo JRoute::_('index.php?option=com_menumanagerck&task=custom.select&extension=' . $this->extension . '&type=' . $this->type . '&attribs=' . $app->input->get('attribs', null, 'string') . '&layout=modal&tmpl=component&function=' . $function . '&object=' . $object . '&' . JSession::getFormToken() . '=1'); ?>" method="post" name="adminForm" id="adminForm" class="form-inline" >
	<fieldset class="filter clearfix">
		<?php if ($this->showSearchBar) : ?>
		<div class="btn-toolbar">
			<div class="btn-group pull-left">
				<label for="filter_search">
					<?php echo JText::_('JSEARCH_FILTER_LABEL'); ?>
				</label>
			</div>
			<div class="btn-group pull-left">
				<input type="text" name="filter_search" id="filter_search" placeholder="<?php echo JText::_('JSEARCH_FILTER'); ?>" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" size="30" title="<?php echo JText::_('COM_CATEGORIES_ITEMS_SEARCH_FILTER'); ?>" />
			</div>
			<div class="btn-group pull-left">
				<button type="submit" class="btn hasTooltip" data-placement="bottom" title="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>">
					<span class="icon-search"></span><?php echo '&#160;' . JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
				<button type="button" class="btn hasTooltip" data-placement="bottom" title="<?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?>" onclick="document.getElementById('filter_search').value='';this.form.submit();">
					<span class="icon-remove"></span><?php echo '&#160;' . JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
			</div>
			<div class="clearfix"></div>
		</div>
		<?php endif; ?>
		<hr class="hr-condensed" style="clear:both;" />
		<div class="filters pull-left">
			<?php echo $this->customFilters; ?>
		</div>
	</fieldset>

	<table class="table table-striped" id="categoryList">
		<thead>
			<tr>
				<th>
					<?php echo JText::_('#'); ?>
				</th>
				<th>
					<?php echo JHtml::_('grid.sort', 'JGLOBAL_TITLE', $titletag, $listDirn, $listOrder); ?>
				</th>
				<th width="10%" class="nowrap hidden-phone">
					<?php if ($orderingcolumntag)
						echo JHtml::_('grid.sort', $this->orderingcolumn['title'], $this->orderingcolumn['sort'], $listDirn, $listOrder);
					?>
				</th>
				<th width="10%" class="nowrap hidden-phone">
					<?php if ($customcolumntag)
						echo JHtml::_('grid.sort', $this->customcolumn['title'], $this->customcolumn['sort'], $listDirn, $listOrder);
					?>
				</th>
				<th width="1%" class="nowrap hidden-phone">
					<?php echo JHtml::_('grid.sort', 'JGRID_HEADING_ID', $idtag, $listDirn, $listOrder); ?>
				</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="2">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
				<td colspan="2">
					<?php echo $this->pagination->getResultsCounter(); ?>
				</td>
				<td colspan="1">
					<?php echo $this->pagination->getLimitBox(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
			<?php foreach ($this->items as $i => $item) : ?><?php //var_dump($item); ?>
				<?php
				if (!isset($item->attribs)) $item->attribs = new stdClass();
				if ($attribs && count($attribs))
				{
				foreach ($attribs as $key => $attrib) : 
					if (!$attrib && isset($item->$key))
					{
						$item->attribs->$key = $item->$key;
					} else {
						$item->attribs->$key = $attribs->$key;
					}
				endforeach;
				}
				$item->attribs = base64_encode(json_encode($item->attribs));
				?>
				<tr class="row<?php echo $i % 2; ?>">
					<td>
						<?php echo ( ($this->pagination->get('pages.current') - 1) * $this->pagination->limit) + $i + 1; ?>
					</td>
					<td>
						<?php echo str_repeat('<span class="gi">&mdash;</span>', ((isset($item->$leveltag) && $item->$leveltag > 0) ? $item->$leveltag - 1 : 0)) ?>
						<a href="javascript:void(0);" onclick="if (window.parent) window.parent.<?php echo $this->escape($function); ?>('<?php echo $item->$idtag; ?>', '<?php echo $this->escape(addslashes(str_replace(",", ".", $item->$titletag))); ?>', '<?php echo $this->escape($object); ?>', '<?php echo $component; ?>', '<?php echo $item->attribs ?>');">
							<?php echo $item->$titletag; ?>
						</a>
					</td>
					<td class="small hidden-phone">
						<?php if ($orderingcolumntag)
							echo $this->escape($item->$orderingcolumntag); 
						?>
					</td>
					<td class="small hidden-phone">
						<?php if ($customcolumntag)
							echo $this->escape($item->$customcolumntag); 
						?>
					</td>
					<td class="hidden-phone">
						<?php echo (int) $item->$idtag; ?></span>
					</td>
				</tr>
			<?php endforeach; ?>
		</tbody>
	</table>

	<input type="hidden" name="task" value="custom.select" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
	<?php echo JHtml::_('form.token'); ?>

</form>
